<?xml version="1.0"?>
<testsuite name="Chrome Headless 131.0.0.0 (Linux x86_64)" package="" timestamp="2024-12-09T10:14:38" id="0" hostname="alvaro-Latitude-3420" tests="80" errors="0" failures="0" time="2.257">
  <properties>
    <property name="browser.fullName" value="Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) HeadlessChrome/131.0.0.0 Safari/537.36"/>
  </properties>
  <testcase name="CreateSoftwareComponent should create" time="0.12" classname="CreateSoftwareComponent"/>
  <testcase name="CommandsComponent should create" time="0.104" classname="CommandsComponent"/>
  <testcase name="OgbootStatusComponent should create the component" time="0.054" classname="OgbootStatusComponent"/>
  <testcase name="PxeComponent should have a defined currentPage" time="0.069" classname="PxeComponent"/>
  <testcase name="PxeComponent should have a defined itemsPerPage" time="0.041" classname="PxeComponent"/>
  <testcase name="PxeComponent should have a defined component" time="0.035" classname="PxeComponent"/>
  <testcase name="PxeComponent should have a defined loading" time="0.037" classname="PxeComponent"/>
  <testcase name="PxeComponent should have a defined page" time="0.036" classname="PxeComponent"/>
  <testcase name="PxeComponent should have a defined selectedElements" time="0.032" classname="PxeComponent"/>
  <testcase name="PxeComponent should have a defined pageSizeOptions" time="0.034" classname="PxeComponent"/>
  <testcase name="PxeComponent should have a defined selectedItem" time="0.031" classname="PxeComponent"/>
  <testcase name="PxeComponent should have a defined length" time="0.029" classname="PxeComponent"/>
  <testcase name="PxeComponent should have a defined datePipe" time="0.028" classname="PxeComponent"/>
  <testcase name="PxeComponent should have a defined dataSource" time="0.029" classname="PxeComponent"/>
  <testcase name="PxeComponent should have a defined baseUrl" time="0.029" classname="PxeComponent"/>
  <testcase name="PxeComponent should have a defined alertMessage" time="0.025" classname="PxeComponent"/>
  <testcase name="PxeComponent should have a defined pxeTemplates" time="0.027" classname="PxeComponent"/>
  <testcase name="PxeComponent should have a defined filters" time="0.029" classname="PxeComponent"/>
  <testcase name="PxeComponent should create the component" time="0.025" classname="PxeComponent"/>
  <testcase name="AdminComponent debería renderizar dos botones" time="0.012" classname="AdminComponent"/>
  <testcase name="AdminComponent debería tener un botón con routerLink a &quot;/users&quot;" time="0.005" classname="AdminComponent"/>
  <testcase name="AdminComponent debería aplicar la clase &quot;fab-button&quot; a ambos botones" time="0.005" classname="AdminComponent"/>
  <testcase name="AdminComponent debería crear el componente" time="0.006" classname="AdminComponent"/>
  <testcase name="CreateOperativeSystemComponent should create" time="0.017" classname="CreateOperativeSystemComponent"/>
  <testcase name="PxeBootFilesComponent should create" time="0.048" classname="PxeBootFilesComponent"/>
  <testcase name="CalendarComponent should create" time="0.05" classname="CalendarComponent"/>
  <testcase name="CreateRepositoryComponent should create" time="0.018" classname="CreateRepositoryComponent"/>
  <testcase name="PXEimagesComponent should create" time="0.077" classname="PXEimagesComponent"/>
  <testcase name="SoftwareComponent should create" time="0.055" classname="SoftwareComponent"/>
  <testcase name="CreateCommandComponent should create" time="0.033" classname="CreateCommandComponent"/>
  <testcase name="AppComponent should default to Spanish if no language is saved in localStorage" time="0.01" classname="AppComponent"/>
  <testcase name="AppComponent should create the app" time="0.003" classname="AppComponent"/>
  <testcase name="AppComponent should set language to Spanish in sessionStorage on ngOnInit" time="0.002" classname="AppComponent"/>
  <testcase name="AppComponent should have as title 'ogWebconsole'" time="0.003" classname="AppComponent"/>
  <testcase name="AppComponent should set the language from localStorage on creation" time="0.003" classname="AppComponent"/>
  <testcase name="DeployImageComponent should create" time="0.08" classname="DeployImageComponent"/>
  <testcase name="CreateSoftwareProfileComponent should create" time="0.085" classname="CreateSoftwareProfileComponent"/>
  <testcase name="OgDhcpSubnetsComponent should create" time="0.078" classname="OgDhcpSubnetsComponent"/>
  <testcase name="OgDhcpSubnetsComponent should call syncSubnets and handle success" time="0.044" classname="OgDhcpSubnetsComponent"/>
  <testcase name="SoftwareProfileComponent should create" time="0.051" classname="SoftwareProfileComponent"/>
  <testcase name="RolesComponent should create" time="0.021" classname="RolesComponent"/>
  <testcase name="RolesComponent should initialize the dataSource" time="0.005" classname="RolesComponent"/>
  <testcase name="RolesComponent should have a defined columns array" time="0.005" classname="RolesComponent"/>
  <testcase name="RolesComponent should have a default itemsPerPage value" time="0.007" classname="RolesComponent"/>
  <testcase name="EnvVarsComponent should create" time="0.019" classname="EnvVarsComponent"/>
  <testcase name="MainRepositoryViewComponent should create" time="0.071" classname="MainRepositoryViewComponent"/>
  <testcase name="StatusComponent should create" time="0.022" classname="StatusComponent"/>
  <testcase name="CommandsTaskComponent should create" time="0.039" classname="CommandsTaskComponent"/>
  <testcase name="LoginComponent should add rotating class to the logo when loading" time="0.025" classname="LoginComponent"/>
  <testcase name="LoginComponent should create" time="0.01" classname="LoginComponent"/>
  <testcase name="LoginComponent should add &quot;invalid&quot; class to username input if it is invalid and touched" time="0.011" classname="LoginComponent"/>
  <testcase name="LoginComponent should show a success toast message" time="0.01" classname="LoginComponent"/>
  <testcase name="LoginComponent should not add rotating class to the logo when not loading" time="0.01" classname="LoginComponent"/>
  <testcase name="LoginComponent should show error message on login failure" time="0.01" classname="LoginComponent"/>
  <testcase name="LoginComponent should toggle password visibility when clicking the button" time="0.01" classname="LoginComponent"/>
  <testcase name="LoginComponent should disable the login button if username or password is missing" time="0.01" classname="LoginComponent"/>
  <testcase name="LoginComponent should change language to English and save to localStorage" time="0.009" classname="LoginComponent"/>
  <testcase name="LoginComponent should call onLogin and navigate on successful login" time="0.012" classname="LoginComponent"/>
  <testcase name="LoginComponent should enable the login button if username and password are present" time="0.01" classname="LoginComponent"/>
  <testcase name="LoginComponent should change language to Spanish and save to localStorage" time="0.01" classname="LoginComponent"/>
  <testcase name="LoginComponent should show an error toast message" time="0.01" classname="LoginComponent"/>
  <testcase name="ExecuteCommandComponent should create" time="0.025" classname="ExecuteCommandComponent"/>
  <testcase name="CreateImageComponent should create" time="0.025" classname="CreateImageComponent"/>
  <testcase name="OgdhcpComponent should create" time="0.005" classname="OgdhcpComponent"/>
  <testcase name="DashboardComponent should create the component" time="0.006" classname="DashboardComponent"/>
  <testcase name="GroupsComponent should call getFilters on ngOnInit" time="0.141" classname="GroupsComponent"/>
  <testcase name="GroupsComponent should call search on ngOnInit" time="0.011" classname="GroupsComponent"/>
  <testcase name="GroupsComponent should call getFilters method" time="0.014" classname="GroupsComponent"/>
  <testcase name="GroupsComponent should call onSelectUnidad method" time="0.009" classname="GroupsComponent"/>
  <testcase name="GroupsComponent should call onTabChange method" time="0.011" classname="GroupsComponent"/>
  <testcase name="GroupsComponent should create" time="0.013" classname="GroupsComponent"/>
  <testcase name="GroupsComponent should call search method" time="0.011" classname="GroupsComponent"/>
  <testcase name="ServerInfoDialogComponent should create" time="0.013" classname="ServerInfoDialogComponent"/>
  <testcase name="UsersComponent should call search on init" time="0.032" classname="UsersComponent"/>
  <testcase name="UsersComponent should have default values for pagination" time="0.006" classname="UsersComponent"/>
  <testcase name="UsersComponent should create" time="0.008" classname="UsersComponent"/>
  <testcase name="UsersComponent should define displayedColumns" time="0.007" classname="UsersComponent"/>
  <testcase name="UsersComponent should initialize the dataSource" time="0.007" classname="UsersComponent"/>
  <testcase name="OperativeSystemComponent should create" time="0.041" classname="OperativeSystemComponent"/>
  <testcase name="RepositoriesComponent should create" time="0.037" classname="RepositoriesComponent"/>
  <system-out>
    <![CDATA[Chrome Headless 131.0.0.0 (Linux x86_64) ERROR: 'Error fetching organizational units:', HttpErrorResponse{headers: HttpHeaders{normalizedNames: Map{}, lazyUpdate: null, headers: Map{}}, status: 0, statusText: 'Unknown Error', url: 'https://127.0.0.1:8443/organizational-units?type=classroom&page=1&itemsPerPage=50', ok: false, name: 'HttpErrorResponse', message: 'Http failure response for https://127.0.0.1:8443/organizational-units?type=classroom&page=1&itemsPerPage=50: 0 Unknown Error', error: ProgressEvent{isTrusted: true}}
,Chrome Headless 131.0.0.0 (Linux x86_64) ERROR: 'Error al sincronizar', HttpErrorResponse{headers: HttpHeaders{normalizedNames: Map{}, lazyUpdate: null, headers: Map{}}, status: 0, statusText: 'Unknown Error', url: 'https://127.0.0.1:8443/og-lives/sync', ok: false, name: 'HttpErrorResponse', message: 'Http failure response for https://127.0.0.1:8443/og-lives/sync: 0 Unknown Error', error: ProgressEvent{isTrusted: true}}
,Chrome Headless 131.0.0.0 (Linux x86_64) ERROR: 'Error fetching images', HttpErrorResponse{headers: HttpHeaders{normalizedNames: Map{}, lazyUpdate: null, headers: Map{}}, status: 0, statusText: 'Unknown Error', url: 'https://127.0.0.1:8443/og-lives?page=1&itemsPerPage=1000', ok: false, name: 'HttpErrorResponse', message: 'Http failure response for https://127.0.0.1:8443/og-lives?page=1&itemsPerPage=1000: 0 Unknown Error', error: ProgressEvent{isTrusted: true}}
,Chrome Headless 131.0.0.0 (Linux x86_64) ERROR: 'Error fetching og lives', HttpErrorResponse{headers: HttpHeaders{normalizedNames: Map{}, lazyUpdate: null, headers: Map{}}, status: 0, statusText: 'Unknown Error', url: 'https://127.0.0.1:8443/og-lives?page=1&itemsPerPage=1000', ok: false, name: 'HttpErrorResponse', message: 'Http failure response for https://127.0.0.1:8443/og-lives?page=1&itemsPerPage=1000: 0 Unknown Error', error: ProgressEvent{isTrusted: true}}

]]>
  </system-out>
  <system-err/>
</testsuite>